SitePoint Sponsor

User Tag List

Results 1 to 4 of 4
  1. #1
    SitePoint Enthusiast
    Join Date
    Mar 2006
    Posts
    42
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    latest version of Instant Rails with Lenz book

    Hi all

    Was wondering what version of Instant would be compatible with PatricK Lenz's RoR book. The book itself mentions version 1.3a. However, Instant Rails is now up to 2.0.

    I was thinking of downloading version 1.7. This being the last 1.x version. Is this advisable/applicable or just plain stupid...

    Thanks for your time.

  2. #2
    Programming Team silver trophybronze trophy
    Mittineague's Avatar
    Join Date
    Jul 2005
    Location
    West Springfield, Massachusetts
    Posts
    17,152
    Mentioned
    190 Post(s)
    Tagged
    2 Thread(s)

    version of Instant Rails

    I'd be happy to be able to get any version of Instant Rails to work (I'm stuck with Win98 ATM ).
    Anyway, I guess it depends on how closely and how deep into the book you want go. As long as you know something may happen you should be able to work around it with luck.
    I imagine using a newer version would for the most part be backwards compatable with older versions. Exceptions being anything deprecated and removed. So I don't think it would be stupid by any means. Just take note of what's been deprecated and be on the look out for it. And keep in mind that the newer version may have some improvements that the book won't be teaching you. But don't let that stop you from getting started.

  3. #3
    SitePoint Enthusiast
    Join Date
    Mar 2006
    Posts
    42
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Thanks for the reply

    Have just realised a newer version of the book has been released...

    Simply Rails 2

    Now am contemplating whether I should purchase this and start fresh on Rails 2.0

  4. #4
    SitePoint Enthusiast giorgio_c's Avatar
    Join Date
    Jun 2005
    Location
    Australia
    Posts
    31
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Even if I have already had done quite a bit of practice with ror 1.2 I found it challenging moving my pet projects to version 2. So I have ordered this book as it will need a good refresh and help to overcome my issues with Rails 2.

    Giorgio


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •